<?php
/**
 * admin setting dokan payping class
 *
 * @author mahdisarani
 */
class MULTIPAY_PAYPING_SUBMENU_WP{
 
    /**
     * Autoload method
     * @return void
     */
    public function __construct() {
        add_action( 'admin_init', array($this, 'payping_dokan_options') );
        add_action( 'dokan_admin_menu', array($this, 'register_sub_menu') );
    }
 
	public function payping_dokan_options(){
			$text_args = array(
				'type' => 'string', 
				'sanitize_callback' => 'sanitize_text_field',
				'default' => NULL,
			);
			register_setting( 'payping_dokan_options', 'payping_dokan_admin_email', $text_args );
	}
	
    /**
     * Register submenu
     * @return void
     */
    public function register_sub_menu(){
        add_submenu_page(
             'dokan',
            __('تنظیمات تسویه پی‌پینگ', 'mpd-payping'),
            __('تسویه‌خودکار (پی‌پینگ)', 'mpd-payping'),
            'manage_options',
            'multi-pay-payping-dokan',
            array($this, 'multi_pay_payping_admin_page_setting'),
            30
        );
    }
 
    /**
     * Render submenu
     * @return void
     */
    public function multi_pay_payping_admin_page_setting(){
    if( ! current_user_can('manage_options'))return; 
echo '<div class="wrap">'; _e('<h2>تسویه خودکار پی‌پینگ</h2>', 'mpd-payping');
// WordPress will add the "settings-updated" $_GET parameter to the url
    if(isset($_REQUEST['submit'])){
        // add settings saved message with the class of "updated"
        add_settings_error( 'payping_dokan_options', 'payping_dokan_options_message', __( 'تغییرات اعمال شد!', 'multipayPayPing' ), 'updated' );
    }
	// show error/update messages
    settings_errors( 'payping_dokan_options_messages' ); ?>

	<form action="options.php" method="POST">
	<?php settings_fields( 'payping_dokan_options' ); ?>
		<table class="form-table">
			<tbody>
				<tr>
					<th scope="row"><label for="input_id"><?php _e('ایمیل مدیر', 'multipayPayPing'); ?></label></th>
					<td>
					<input type="text" class="regular-text" name="payping_dokan_admin_email" placeholder="example@site.com" value="<?php echo get_option('payping_dokan_admin_email'); ?>" style="text-align:left;">
					</td>
				</tr>

				<tr>
				<th><?php do_settings_sections('payping_dokan_options'); submit_button(__('ذخیره تغییرات', 'multipayPayPing')); ?></th>
				</tr>
			</tbody>
		</table>
	</form>
    <?php echo '</div>'; }
}
new MULTIPAY_PAYPING_SUBMENU_WP();